Show / Hide Table of Contents

# Class ImGui_Impl_DX11

Currently undocumented because it is a horrible mess. A near-direct port of https://github.com/ocornut/imgui/blob/master/examples/imgui_impl_dx11.cpp State backup follows the general layout of imgui's sample (which is a mess), but has been rather expanded to cover the vast majority of render state, following the example here https://github.com/GPUOpen-LibrariesAndSDKs/CrossfireAPI11/blob/master/amd_lib/src/AMD_SaveRestoreState.cpp Would be nice to organize it better, but it seems to work

##### Inheritance

System.Object
ImGui_Impl_DX11

##### Implements

IImGuiRenderer

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: ImGuiScene

###### Assembly: ImGuiScene.dll

##### Syntax

    public class ImGui_Impl_DX11 : IImGuiRenderer

### Methods

| Improve this Doc View Source

#### CreateDeviceObjects()

##### Declaration

    public bool CreateDeviceObjects()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### CreateFontsTexture()

##### Declaration

    public void CreateFontsTexture()

| Improve this Doc View Source

#### Init(Object[])

##### Declaration

    public void Init(params object[] initParams)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Object[] | initParams |

| Improve this Doc View Source

#### InvalidateDeviceObjects()

##### Declaration

    public void InvalidateDeviceObjects()

| Improve this Doc View Source

#### NewFrame()

##### Declaration

    public void NewFrame()

| Improve this Doc View Source

#### RenderDrawData(ImDrawDataPtr)

##### Declaration

    public void RenderDrawData(ImDrawDataPtr drawData)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawDataPtr | drawData |

| Improve this Doc View Source

#### SetupRenderState(ImDrawDataPtr)

##### Declaration

    public void SetupRenderState(ImDrawDataPtr drawData)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawDataPtr | drawData |

| Improve this Doc View Source

#### Shutdown()

##### Declaration

    public void Shutdown()

### Implements

IImGuiRenderer